[Bsd-sharp-cvs] CVS commit to
/cvsroot/bsd-sharp/FreeBSD-ports/www/mod_mono/files by tmclau02
noreply at forge.novell.com
noreply at forge.novell.com
Sat Jun 17 19:41:55 MDT 2006
CVS commit to /cvsroot/bsd-sharp/FreeBSD-ports/www/mod_mono/files by tmclau02
Modified Files:
patch-Makefile.in patch-configure
Log Message:
- Fix packaging issues so stuff installs correctly based on the version
of apache installed.
- Try and fix apache22 issues by using configure script from SVN. Still
broken but it appears to be closer to working now.
===================================================================
RCS file: /cvsroot/bsd-sharp/FreeBSD-ports/www/mod_mono/files/patch-Makefile.in,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- /cvsroot/bsd-sharp/FreeBSD-ports/www/mod_mono/files/patch-Makefile.in 2005/10/03 01:01:28 1.1
+++ /cvsroot/bsd-sharp/FreeBSD-ports/www/mod_mono/files/patch-Makefile.in 2006/06/18 01:41:55 1.2
@@ -5,7 +5,7 @@
# packaging/redhat/mod_mono.spec \
# packaging/redhat/mono.conf
-modmonoconfdir = $(APXS_SYSCONFDIR)
-+modmonoconfdir = %%APACHE_CONF%%
++modmonoconfdir = %%MOD_MONOCONFDIR%%
modmonoconf_DATA = mod_mono.conf
all: all-recursive
===================================================================
RCS file: /cvsroot/bsd-sharp/FreeBSD-ports/www/mod_mono/files/patch-configure,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- /cvsroot/bsd-sharp/FreeBSD-ports/www/mod_mono/files/patch-configure 2006/04/12 03:18:40 1.2
+++ /cvsroot/bsd-sharp/FreeBSD-ports/www/mod_mono/files/patch-configure 2006/06/18 01:41:55 1.3
@@ -1,14 +1,159 @@
--- configure.orig Fri Jan 6 14:38:40 2006
-+++ configure Tue Apr 11 22:19:01 2006
-@@ -21250,6 +21250,20 @@
- fi
++++ configure Mon May 15 16:46:29 2006
+@@ -21383,6 +21383,48 @@
+
fi
+if test -z "$APRCONFIG"; then
-+ echo "$as_me:$LINENO: checking for apr-config in /usr/local/bin" >&5
-+echo $ECHO_N "checking for apr-1-config in /usr/local/bin... $ECHO_C" >&6
-+ if test -x /usr/local/bin/apr-1-config; then
-+ APRCONFIG=/usr/local/bin/apr-1-config
++ # Extract the first word of "apr-config", so it can be a program name with args.
++set dummy apr-1-config; ac_word=$2
++echo "$as_me:$LINENO: checking for $ac_word" >&5
++echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
++if test "${ac_cv_path_APRCONFIG+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++ case $APRCONFIG in
++ [\\/]* | ?:[\\/]*)
++ ac_cv_path_APRCONFIG="$APRCONFIG" # Let the user override the test with a path.
++ ;;
++ *)
++ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
++for as_dir in $PATH
++do
++ IFS=$as_save_IFS
++ test -z "$as_dir" && as_dir=.
++ for ac_exec_ext in '' $ac_executable_extensions; do
++ if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
++ ac_cv_path_APRCONFIG="$as_dir/$ac_word$ac_exec_ext"
++ echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
++ break 2
++ fi
++done
++done
++
++ ;;
++esac
++fi
++APRCONFIG=$ac_cv_path_APRCONFIG
++
++if test -n "$APRCONFIG"; then
++ echo "$as_me:$LINENO: result: $APRCONFIG" >&5
++echo "${ECHO_T}$APRCONFIG" >&6
++else
++ echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
++fi
++
++fi
++
+ # determine LIBEXEC
+ echo "$as_me:$LINENO: checking for Apache libexec directory" >&5
+ echo $ECHO_N "checking for Apache libexec directory... $ECHO_C" >&6
+@@ -21397,9 +21439,13 @@
+ echo "${ECHO_T}$APXS_SYSCONFDIR" >&6
+ # determine INCLUDES
+
++if test -n $APRCONFIG; then
++ APR_INCLUDES="`${APRCONFIG} --includes`"
++fi
++
+ echo "$as_me:$LINENO: checking for Apache include directory" >&5
+ echo $ECHO_N "checking for Apache include directory... $ECHO_C" >&6
+-AP_INCLUDES="-I`${APXS} -q INCLUDEDIR`"
++AP_INCLUDES="-I`${APXS} -q INCLUDEDIR` $APR_INCLUDES"
+ echo "$as_me:$LINENO: result: $AP_INCLUDES" >&5
+ echo "${ECHO_T}$AP_INCLUDES" >&6
+ CFLAGS="$CFLAGS $AP_INCLUDES"
+@@ -21413,7 +21459,7 @@
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h. */
+
+- #include <httpd.h>
++ #include <ap_release.h>
+
+ int
+ main ()
+@@ -21515,11 +21561,178 @@
+
+ fi
+ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
++else
++if test "$cross_compiling" = yes; then
++ { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
++See \`config.log' for more details." >&5
++echo "$as_me: error: cannot run test program while cross compiling
++See \`config.log' for more details." >&2;}
++ { (exit 1); exit 1; }; }
++else
++ cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++
++ #include <ap_release.h>
++ int main ()
++ {
++ return (AP_SERVER_MAJORVERSION_NUMBER == 2 && AP_SERVER_MINORVERSION_NUMBER == 2) ? 0 : 1;
++ }
++
++_ACEOF
++rm -f conftest$ac_exeext
++if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
++ (eval $ac_link) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
++ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++ (eval $ac_try) 2>&5
++ ac_status=$?
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); }; }; then
++
++ APACHE_VER=2.2
++ APRCONFIG_NAME=apr-1-config
++
++else
++ echo "$as_me: program exited with status $ac_status" >&5
++echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++( exit $ac_status )
++
++ APRCONFIG_NAME=apr-config
++
++fi
++rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
++fi
++
++fi
++
++if test ! "$APACHE_VER" = "1.3" -a ! "$APACHE_VER" = "retry" ; then
++ echo "$as_me:$LINENO: result: ${APACHE_VER}" >&5
++echo "${ECHO_T}${APACHE_VER}" >&6
++fi
++if test ! "$APACHE_VER" = "1.3" -a -z "$APRCONFIG" ; then
++ A_DIR=`dirname ${APXS}`
++ echo "$as_me:$LINENO: checking for ${APRCONFIG_NAME} in ${A_DIR}" >&5
++echo $ECHO_N "checking for ${APRCONFIG_NAME} in ${A_DIR}... $ECHO_C" >&6
++ APRCONFIG=`dirname ${APXS}`/${APRCONFIG_NAME}
++ if test -x $APRCONFIG ; then
++ echo "$as_me:$LINENO: result: found. We'll use this. Use --with-apr-config to specify another." >&5
++echo "${ECHO_T}found. We'll use this. Use --with-apr-config to specify another." >&6
++ else
++ echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
++ APRCONFIG=""
++ fi
+ fi
+
+-# Try apr-config
++if test ! "$APACHE_VER" = "1.3" -a -z "$APRCONFIG"; then
++ echo "$as_me:$LINENO: checking for ${APRCONFIG_NAME} in /usr/local/apache/sbin" >&5
++echo $ECHO_N "checking for ${APRCONFIG_NAME} in /usr/local/apache/sbin... $ECHO_C" >&6
++ if test -x /usr/local/apache/sbin/${APRCONFIG_NAME}; then
++ APRCONFIG=/usr/local/apache/sbin/${APRCONFIG_NAME}
+ echo "$as_me:$LINENO: result: found, we'll use this. Use --with-apr-config to specify another." >&5
+echo "${ECHO_T}found, we'll use this. Use --with-apr-config to specify another." >&6
+ else
@@ -18,15 +163,197 @@
+ fi
+fi
+
- # last resort
- if test -z "$APXS"; then
- # Extract the first word of "apxs2", so it can be a program name with args.
-@@ -21386,7 +21400,7 @@
- # determine LIBEXEC
- echo "$as_me:$LINENO: checking for Apache libexec directory" >&5
- echo $ECHO_N "checking for Apache libexec directory... $ECHO_C" >&6
--APXS_LIBEXECDIR=`${APXS} -q LIBEXECDIR`
-+APXS_LIBEXECDIR=`${APXS} -q LIBEXECDIR | sed -E "s|.*(/libexec/apache)|${prefix}\1|" `
- echo "$as_me:$LINENO: result: $APXS_LIBEXECDIR" >&5
- echo "${ECHO_T}$APXS_LIBEXECDIR" >&6
++if test ! "$APACHE_VER" = "1.3" -a -z "$APRCONFIG"; then
++ echo "$as_me:$LINENO: checking for ${APRCONFIG_NAME} in /usr/local/apache2/bin" >&5
++echo $ECHO_N "checking for ${APRCONFIG_NAME} in /usr/local/apache2/bin... $ECHO_C" >&6
++ if test -x /usr/local/apache2/bin/${APRCONFIG_NAME}; then
++ APRCONFIG=/usr/local/apache2/bin/${APRCONFIG_NAME}
++ echo "$as_me:$LINENO: result: found, we'll use this. Use --with-apr-config to specify another." >&5
++echo "${ECHO_T}found, we'll use this. Use --with-apr-config to specify another." >&6
++ else
++ echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
++ APRCONFIG=""
++ fi
++fi
++
++if test ! "$APACHE_VER" = "1.3" -a -z "$APRCONFIG"; then
++ echo "$as_me:$LINENO: checking for ${APRCONFIG_NAME} in /usr/sbin" >&5
++echo $ECHO_N "checking for ${APRCONFIG_NAME} in /usr/sbin... $ECHO_C" >&6
++ if test -x /usr/sbin/${APRCONFIG_NAME}; then
++ APRCONFIG=/usr/sbin/${APRCONFIG_NAME}
++ echo "$as_me:$LINENO: result: found, we'll use this. Use --with-apr-config to specify another." >&5
++echo "${ECHO_T}found, we'll use this. Use --with-apr-config to specify another." >&6
++ else
++ echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
++ APRCONFIG=""
++ fi
++fi
++
++if test ! "$APACHE_VER" = "1.3" -a -z "$APRCONFIG"; then
++ echo "$as_me:$LINENO: checking for ${APRCONFIG_NAME} in /usr/bin" >&5
++echo $ECHO_N "checking for ${APRCONFIG_NAME} in /usr/bin... $ECHO_C" >&6
++ if test -x /usr/bin/${APRCONFIG_NAME}; then
++ APRCONFIG=/usr/bin/${APRCONFIG_NAME}
++ echo "$as_me:$LINENO: result: found, we'll use this. Use --with-apr-config to specify another." >&5
++echo "${ECHO_T}found, we'll use this. Use --with-apr-config to specify another." >&6
++ else
++ echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
++ APRCONFIG=""
++ fi
++fi
++
++if test ! "$APACHE_VER" = "1.3" -a -z "$APRCONFIG"; then
++ # Extract the first word of "${APRCONFIG_NAME}", so it can be a program name with args.
++set dummy ${APRCONFIG_NAME}; ac_word=$2
++echo "$as_me:$LINENO: checking for $ac_word" >&5
++echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
++if test "${ac_cv_path_APRCONFIG+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++ case $APRCONFIG in
++ [\\/]* | ?:[\\/]*)
++ ac_cv_path_APRCONFIG="$APRCONFIG" # Let the user override the test with a path.
++ ;;
++ *)
++ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
++for as_dir in $PATH
++do
++ IFS=$as_save_IFS
++ test -z "$as_dir" && as_dir=.
++ for ac_exec_ext in '' $ac_executable_extensions; do
++ if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
++ ac_cv_path_APRCONFIG="$as_dir/$ac_word$ac_exec_ext"
++ echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
++ break 2
++ fi
++done
++done
++
++ ;;
++esac
++fi
++APRCONFIG=$ac_cv_path_APRCONFIG
++
++if test -n "$APRCONFIG"; then
++ echo "$as_me:$LINENO: result: $APRCONFIG" >&5
++echo "${ECHO_T}$APRCONFIG" >&6
++else
++ echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
++fi
++
++fi
++
++# Try apr-config, probably 1.3
+ if test "$APACHE_VER" = "retry" -a -x "$APRCONFIG"; then
+- CFLAGS="$CFLAGS `$APRCONFIG --includes`"
++ CFLAGS="$CFLAGS `$APRCONFIG --includes --cflags`"
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
+ _ACEOF
+@@ -21583,11 +21796,13 @@
+
+ if test "$APACHE_VER" = "1.3"; then
+ CFLAGS="$CFLAGS -DAPACHE13 -DEAPI"
+-fi
+-
+-echo "$as_me:$LINENO: result: $APACHE_VER" >&5
++ echo "$as_me:$LINENO: result: $APACHE_VER" >&5
+ echo "${ECHO_T}$APACHE_VER" >&6
++fi
+
++if test ! "$APACHE_VER" = "1.3" -a -x "$APRCONFIG"; then
++ CFLAGS="$CFLAGS `$APRCONFIG --includes --cflags`"
++fi
+
+ # Extract the first word of "pkg-config", so it can be a program name with args.
+ set dummy pkg-config; ac_word=$2
+@@ -21654,7 +21869,7 @@
+
+
+
+-if test "$APACHE_VER" = "2.0"; then
++if test ! "$APACHE_VER" = "1.3"; then
+ APACHE2_TRUE=
+ APACHE2_FALSE='#'
+ else
+@@ -21662,7 +21877,7 @@
+ APACHE2_FALSE=
+ fi
+
+-if test "$APACHE_VER" = "2.0" ; then
++if test ! "$APACHE_VER" = "1.3" ; then
+
+ cat >>confdefs.h <<\_ACEOF
+ #define APACHE2
+@@ -21670,6 +21885,14 @@
+
+ fi
+
++if test "$APACHE_VER" = "2.2" ; then
++
++cat >>confdefs.h <<\_ACEOF
++#define APACHE22
++_ACEOF
++
++fi
++
+ # check for --with-mono-default-config-dir
+ echo "$as_me:$LINENO: checking for --with-mono-default-config-dir" >&5
+ echo $ECHO_N "checking for --with-mono-default-config-dir... $ECHO_C" >&6
+@@ -21694,8 +21917,16 @@
+ echo "${ECHO_T}$DFLT_MONO_CONFIG_DIR" >&6
+ fi;
+
+-found_apr_socket_connect=no
+-echo "$as_me:$LINENO: checking for apr_socket_connect in -lapr-0" >&5
++if test ! "$APACHE_VER" = "1.3" ; then
++ found_apr_socket_connect=yes
++
++cat >>confdefs.h <<\_ACEOF
++#define HAVE_APR_SOCKET_CONNECT
++_ACEOF
++
++else
++ found_apr_socket_connect=no
++ echo "$as_me:$LINENO: checking for apr_socket_connect in -lapr-0" >&5
+ echo $ECHO_N "checking for apr_socket_connect in -lapr-0... $ECHO_C" >&6
+ if test "${ac_cv_lib_apr_0_apr_socket_connect+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+@@ -21763,12 +21994,14 @@
+ found_apr_socket_connect=yes
+ fi
+
+-if test "x$found_apr_socket_connect" = "xyes" ; then
++ if test "x$found_apr_socket_connect" = "xyes" ; then
+
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_APR_SOCKET_CONNECT
+ _ACEOF
+
++ fi
++
+ fi
+
+ MONO_PREFIX=`$PKG_CONFIG --silence-errors --variable=prefix mono`
+@@ -21804,6 +22037,8 @@
+
+ CPPFLAGS="$CPPFLAGS $CFLAGS `$APXS -q EXTRA_CPPFLAGS`"
++CPPFLAGS="$CPPFLAGS $CFLAGS `$APXS -q CPPFLAGS`"
++CFLAGS="$CFLAGS `$APXS -q CFLAGS`"
+ CFLAGS="$CFLAGS `$APXS -q EXTRA_CFLAGS`"
+ echo "$as_me:$LINENO: checking for http_protocol.h" >&5
+ echo $ECHO_N "checking for http_protocol.h... $ECHO_C" >&6
+@@ -23329,7 +23564,7 @@
+ echo " * Apache modules directory = $APXS_LIBEXECDIR"
+ test -x "$APXS" && \
+ echo " * apxs = $APXS"
+-test "$APACHE_VER" = "2.0" -a -x "$APRCONFIG" && \
++test ! "$APACHE_VER" = "1.3" -a -x "$APRCONFIG" && \
+ echo " * apr-config = $APRCONFIG"
+ echo " * Verbose logging (debug) = $enable_debug"
+ echo " * mono prefix = $MONO_PREFIX"
More information about the Bsd-sharp-cvs
mailing list